.nv-upload {
  @extend .transition-exit;
  display: block;
  width: 100%;

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin-bottom: 0;
  }

  .nv-upload-container {
    display: block;
    outline: 2px dashed var(--nv-border-color);
    padding: $space-lg;
    width: 100%;
  }

  // nodrop
  &.nv-upload-nodrop {
    .nv-upload-container {
      outline-style: solid;
    }
  }

  input {
    display: none;
  }

  .nv-upload-action {
    cursor: pointer;

    &:hover {
      color: var(--nv-theme-primary);
    }
  }

  .nv-upload-icon {
    display: block;
    margin: 0 auto;
    width: 150px;

    path {
      @extend .transition-exit;
      fill: var(--nv-theme-alt-2);
    }
  }

  svg path {
    fill: var(--nv-theme-alt-2);
  }
  nv-button-native
  nv-progress {
    margin-top: 0;
  }

  // Compact mode
  &.nv-upload-compact {
    .nv-upload-container {
      align-items: center;
      display: flex;
      justify-content: center;
      padding: $space-md;
    }

    .nv-text-center {
      display: inline-block;
      margin: $space-default 0 !important;
    }

    .nv-upload-icon {
      display: inline-block;
      margin: $space-default 0;
      margin-right: $space-default;
      width: 40px;
    }
  }

  //
  // Disabled
  //
  &.nv-upload-disabled {
    opacity: 0.55;

    .nv-upload-action {
      &:hover {
        color: unset;
        cursor: default;
      }
    }
  }

  &.nv-upload-highlight {
    .nv-upload-container {
      @extend .transition-entrance;
      outline-color: var(--nv-theme-primary);
    }

    svg path {
      @extend .transition-entrance;
      fill: var(--nv-theme-primary);
    }
  }

  //
  // List
  //

  .nv-upload-progress-container {
    align-items: center;
    display: flex;
    justify-content: space-between;
    width: 50%;

    .nv-list .nv-list-title {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      width: 90%;
    }
  }

  .nv-upload-actions {
    .nv-tick-icon-upload {
      width: 40px;
    }
  }

  .nv-list-upload {
    margin-top: $space-default;
  }

  .nv-upload-progress {
    width: 90%;
  }

  .nv-button-native {
    height: 40px;
    min-width: unset;
    width: 40px;
  }
}
